Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 2254)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 2255)
@@ -59,6 +59,7 @@
 import org.txm.ca.rcp.messages.CAUIMessages;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.editors.ChartEditorInput;
+import org.txm.rcp.editors.ITXMResultEditor;
 import org.txm.rcp.editors.TXMMultiPageEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.messages.TXMUIMessages;
@@ -83,10 +84,10 @@
 
 	@Override
 	protected void createPages() {
-		
+
 		// Tabs titles
 		this.names = Arrays.asList(new String[] {CAUIMessages.factPlan, CACoreMessages.rows, CACoreMessages.columns, CAUIMessages.eigenvaluesBarChat, CAUIMessages.eigenvalues});
-		
+
 		Composite container = this.getContainer();
 		final Composite parentContainer = container.getParent();
 
@@ -174,9 +175,9 @@
 				int editorIndex = this.addPage(editors.get(i), inputs.get(i)); // NOTE: the method addPage() calls the createPartControl() method of the editors
 				this.setPageText(editorIndex, this.names.get(i));
 			}
-	
+
 			caFactorialMapEditorPart.compute(false);
-			
+
 		}
 		catch (Exception e1) {
 			Log.printStackTrace(e1);
@@ -184,8 +185,6 @@
 			return;
 		}
 
-		
-
 		// Selection changed listener to highlight CA chart points from table lines selection
 		ISelectionChangedListener selectionChangedListener = new ISelectionChangedListener() {
 
@@ -202,13 +201,13 @@
 
 				CAFactorialMapChartEditor chartEditor = (CAFactorialMapChartEditor) editors.get(0);
 				((CAChartCreator) chartEditor.getResult().getChartCreator()).updateChartCAFactorialMapHighlightPoints(chartEditor.getChart(), (e.getSource() == getRowsInfosEditor().getViewer()), selectedLabels);
-				
+
 				// SJ: fix a Linux focus bug with MultiPageEditorPart
-//				if(OSDetector.isFamilyUnix())	{
-//					table.getParent().setFocus();
-//				}
+				//				if(OSDetector.isFamilyUnix())	{
+				//					table.getParent().setFocus();
+				//				}
 
-				
+
 			}
 		};
 
@@ -290,21 +289,21 @@
 	 */
 	public void initRowsTableEditor()	{
 		ColsRowsInfosEditor editor = new ColsRowsInfosEditor(ca, CAUIMessages.rowsInfos) {
-			
+
 			@Override
 			public String[] getTableTitles() {
 				return ca.getRowInfosTitles();
 			}
-			
+
 			@Override
 			public Object getTableInput() {
 				return ca.getRowInfos();
 			}
 		};
-		
+
 		editors.add(editor);
 		inputs.add(editor.getEditorInput());
-		
+
 	}
 
 	/**
@@ -313,18 +312,18 @@
 	public void initColumnsTableEditor()	{
 
 		ColsRowsInfosEditor editor = new ColsRowsInfosEditor(ca, CAUIMessages.colsInfos) {
-			
+
 			@Override
 			public String[] getTableTitles() {
 				return ca.getColInfosTitles();
 			}
-			
+
 			@Override
 			public Object getTableInput() {
 				return ca.getColInfos();
 			}
 		};
-		
+
 		editors.add(editor);
 		inputs.add(editor.getEditorInput());
 	}
@@ -374,38 +373,50 @@
 		//		editors.get(4).setFocus();
 	}
 
-	@Override
+//	@Override
 	public CA getResult() {
 		return ca;
 	}
 
-
-
-	@Override
-	public void close() {
-		close(false);
-	}
-
-	@Override
-	public void close(final boolean deleteResult) {
-		final EditorPart self = this;
-		this.getSite().getShell().getDisplay().syncExec(new Runnable() {
-			@Override
-			public void run() {
-				getSite().getPage().closeEditor(self, false);
-				if(deleteResult)	{
-					try {
-						getResult().delete();
-					}
-					catch(Exception e) {
-						
-					}
-				}
-			}
-		});
-	}
-
-	@Override
-	public void setLocked(boolean locked) {
-	}
+//
+//
+//	@Override
+//	public void close() {
+//		close(false);
+//	}
+//
+//	@Override
+//	public void close(final boolean deleteResult) {
+//		final EditorPart self = this;
+//		this.getSite().getShell().getDisplay().syncExec(new Runnable() {
+//			@Override
+//			public void run() {
+//				getSite().getPage().closeEditor(self, false);
+//				if(deleteResult)	{
+//					try {
+//						getResult().delete();
+//					}
+//					catch(Exception e) {
+//
+//					}
+//				}
+//			}
+//		});
+//	}
+//
+//	@Override
+//	public void setLocked(boolean locked) {
+//	}
+//
+//	@Override
+//	public JobHandler compute(boolean update) {
+//		// TODO Auto-generated method stub
+//		return null;
+//	}
+//
+//	@Override
+//	public void refresh(boolean update) throws Exception {
+//		// TODO Auto-generated method stub
+//		
+//	}
 }
\ No newline at end of file
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 2254)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 2255)
@@ -171,11 +171,13 @@
 			try {
 				Log.fine(CAUIMessages.loadingCorrespondenceAnalysisResults);
 
-				TXMResultEditorInput<CA> editorInput = new TXMResultEditorInput(ca);
+				TXMResultEditorInput<CA> editorInput = new TXMResultEditorInput<CA>(ca);
 				IWorkbenchPage page = TXMWindows.getActivePage();
 				StatusLine.setMessage(CAUIMessages.openingTheCorrespondenceAnalysisResults);
 				IEditorPart editor = page.openEditor(editorInput, CAEditor.class.getName());
-				
+				if (editor == null) {
+					
+				}
 			}
 			catch (Throwable e) {
 				Log.severe(CAUIMessages.bind(CAUIMessages.error_opening, ca));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 2254)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 2255)
@@ -12,7 +12,6 @@
 import org.eclipse.core.commands.ParameterValuesException;
 import org.eclipse.core.commands.ParameterizedCommand;
 import org.eclipse.core.commands.common.NotDefinedException;
-import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IViewPart;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
@@ -21,14 +20,11 @@
 import org.eclipse.ui.commands.ICommandService;
 import org.eclipse.ui.contexts.IContextActivation;
 import org.eclipse.ui.contexts.IContextService;
-import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.handlers.IHandlerService;
 import org.txm.Toolbox;
 import org.txm.core.engines.EngineType;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
-import org.txm.rcp.editors.TXMEditor;
-import org.txm.rcp.editors.TXMMultiPageEditor;
 import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPSearchEngine;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 2254)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 2255)
@@ -75,11 +75,8 @@
 			for (IWorkbenchPage page : pages) {
 				for (IEditorReference reference : page.getEditorReferences()) {
 					IEditorPart tmpEditor = reference.getEditor(false);
-
-					if(tmpEditor instanceof ITXMResultEditor)	{
-						editors.add((ITXMResultEditor<?>) tmpEditor);
-					}
-					else if(tmpEditor instanceof TXMMultiPageEditor)	{
+					
+					if(tmpEditor instanceof TXMMultiPageEditor)	{
 						TXMMultiPageEditor txmMultipageEditor = ((TXMMultiPageEditor)tmpEditor);
 						for (int i = 0; i < txmMultipageEditor.getEditors().size(); i++) {
 							if(txmMultipageEditor.getEditors().get(i) instanceof ITXMResultEditor)	{
@@ -87,6 +84,8 @@
 								editors.add(txmEditor);
 							}
 						}
+					} else if(tmpEditor instanceof ITXMResultEditor)	{
+						editors.add((ITXMResultEditor<?>) tmpEditor);
 					}
 				}
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java	(revision 2254)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java	(revision 2255)
@@ -48,7 +48,7 @@
  */
 //FIXME: SJ: this class leads to a lot of problem : focus, activation, etc. find a way to stop to use it. It actually used only for the CA at this moment.
 @Deprecated
-public abstract class TXMMultiPageEditor<T extends TXMResult> extends MultiPageEditorPart implements ITXMResultEditor<T>{
+public abstract class TXMMultiPageEditor<T extends TXMResult> extends MultiPageEditorPart {
 
 	/** The Constant ID. */
 	public static final String ID = "org.txm.rcp.editors.GenericMultiPageEditor"; //$NON-NLS-1$
@@ -208,24 +208,4 @@
 	public void setPartName(String partName) {
 		super.setPartName(partName);
 	}
-	
-	@Override
-	public JobHandler compute(boolean update) {
-		JobHandler job = null;
-		for (EditorPart editor : editors) {
-			if (editor instanceof ITXMResultEditor) {
-				job = ((ITXMResultEditor) editor).compute(update);
-			}
-		}
-		return job;
-	}
-
-	@Override
-	public void refresh(boolean update) throws Exception {
-		for (EditorPart editor : editors) {
-			if (editor instanceof ITXMResultEditor) {
-				((ITXMResultEditor) editor).refresh(update);
-			}
-		}
-	}
 }
\ No newline at end of file
